Subject: Re: linux-next: Tree for Aug 23

From: John Hubbard <[email-masked]>
Date: Fri, 23 Aug 2019 19:37:55 -0700

On 8/23/19 2:26 AM, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20190822:
> 
> The thermal tree gained a conflict against the jc_docs tree.
> 
> The rdma tree gained a conflict against the rdma-fixes tree.
> 
> The net-next tree gained conflicts against the pci tree.
> 
> The crypto tree gained a conflict against Linus' tree.
> 
> The drm tree gained a conflict against the drm-fixes tree.

Hi,

Even though I saw email proposing fixes for one (maybe both) of the 
following warnings, I'm still seeing them in this linux-next:

WARNING: "ahci_em_messages" [drivers/ata/libahci] is a static EXPORT_SYMBOL_GPL
WARNING: "ftrace_set_clr_event" [vmlinux] is a static EXPORT_SYMBOL_GPL

...and obviously these can be trivially fixed by:

diff --git a/drivers/ata/libahci.c b/drivers/ata/libahci.c
index e4c45d3cca79..bff369d9a1a7 100644
--- a/drivers/ata/libahci.c
+++ b/drivers/ata/libahci.c
@@ -175,7 +175,6 @@ struct ata_port_operations ahci_pmp_retry_srst_ops = {
 EXPORT_SYMBOL_GPL(ahci_pmp_retry_srst_ops);
 
 static bool ahci_em_messages __read_mostly = true;
-EXPORT_SYMBOL_GPL(ahci_em_messages);
 module_param(ahci_em_messages, bool, 0444);
 /* add other LED protocol types when they become supported */
 MODULE_PARM_DESC(ahci_em_messages,
diff --git a/kernel/trace/trace_events.c b/kernel/trace/trace_events.c
index c7506bc81b75..648930823b57 100644
--- a/kernel/trace/trace_events.c
+++ b/kernel/trace/trace_events.c
@@ -787,7 +787,7 @@ static int __ftrace_set_clr_event(struct trace_array *tr, const char *match,
        return ret;
 }
 
-static int ftrace_set_clr_event(struct trace_array *tr, char *buf, int set)
+int ftrace_set_clr_event(struct trace_array *tr, char *buf, int set)
 {
        char *event = NULL, *sub = NULL, *match;
        int ret;

...which I didn't create patches for, because I expect they are already
in flight. But if those somehow got lost or skipped, then here's an early
warning that these fixes still need to be applied.

thanks,
-- 
John Hubbard
NVIDIA